NXOpen.UF.ModlGeneral.CreateBsurfThruPts

ModlGeneral.CreateBsurfThruPts()

Refer to UF_MODL_create_bsurf_thru_pts for documentation.

Signature: CreateBsurfThruPts(createMode, uClosedStatus, vClosedStatus, uDegree, vDegree, numRows, ptsInfoPerRow)

Parameters:
  • createMode (int) – Creation mode = 1 -> specified points should lie on the B-surface = 2 -> specified points should be used as the control vertices = 3 -> specified points should be used as the control vertices along with using the specified weight information
  • uClosedStatus (int) – Open/closed status in u direction = 0 -> open = 1 -> closed
  • vClosedStatus (int) – Open/closed status in v direction = 0 -> open = 1 -> closed
  • uDegree (int) – Degree in u direction
  • vDegree (int) – Degree in v direction
  • numRows (int) – Number of rows of points
  • ptsInfoPerRow (list of NXOpen.UF.Modl.BsurfRowInfo Refer to UF_MODL_bsurf_row_info_s for documentation.) – Points information for each row. This is an array of UF_MODL_bsurf_row_info_t structures dimensioned to num_rows.
Returns:

Tag of the created B-surface

Return type:

Tag

License requirements: SOLIDS MODELING and FREE-FORM MODELING or Basic Freeform Modeling